### Method

# AppStreamCompose Compose set_origin

#### Declaration [src]

    void
    asc_compose_set_origin (
      AscCompose* compose,
      const gchar* origin
    )

#### Description [src]

Set the metadata origin field (e.g. “debian” or “flathub”).

#### Parameters

`origin`

  Type: `const gchar*`

  The origin.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.